/**
 * 
 */
package org.richfaces.taglib;

import org.ajax4jsf.taglib.html.facelets.RowKeyConverterRule;

import com.sun.facelets.tag.MetaRuleset;
import com.sun.facelets.tag.jsf.ComponentConfig;
import com.sun.facelets.tag.jsf.ComponentHandler;

/**
 * @author Maksim Kaszynski
 *
 */
public class ScrollableDataTableTagHandler extends ComponentHandler {

	public ScrollableDataTableTagHandler(ComponentConfig config) {
		super(config);
	}
	
	
	@SuppressWarnings("unchecked")
	@Override
	protected MetaRuleset createMetaRuleset(Class type) {
		
		MetaRuleset ruleset = super.createMetaRuleset(type);
		
		ruleset.addRule(RowKeyConverterRule.INSTANCE);
		
		return ruleset;
	}
}
